For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
List Filesets endpoint with filtering and pagination.
Supports filtering by name, description, purpose, storage_type, created_at, and updated_at via query parameters.
Returns paginated results with sorting options.
Path parameters
workspacestringRequired
Query parameters
pageintegerOptional>=1Defaults to 1
Page number.
page_sizeintegerOptional1-100Defaults to 10
Page size.
sortenumOptionalDefaults to -created_at
The field to sort by. To sort in decreasing order, use - in front of the field name.
filterobjectOptional
Filter filesets by name, description, purpose, storage_type, created_at, and updated_at.